Bug 1001279 - grub2 can't boot new xfs CRC-capable disk format
Summary: grub2 can't boot new xfs CRC-capable disk format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grub2
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard:
: 1220844 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-26 20:13 UTC by Eric Sandeen
Modified: 2015-11-19 12:23 UTC (History)
8 users (show)

Fixed In Version: grub2-2.02-0.17.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 12:23:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2401 normal SHIPPED_LIVE Low: grub2 security, bug fix, and enhancement update 2015-11-19 11:00:33 UTC

Description Eric Sandeen 2013-08-26 20:13:26 UTC
From the XFS list:

> Just a heads-up: GRUB currently doesn't work on a CRC enabled
> file-system. It will print the following error message:
> "not a correct XFS inode"

This format is still WIP upstream, but we should probably have the issue on the RHEL7 radar since we plan to default to XFS even for /boot.

A simple workaround would be to not enable CRCs for the root fs; this may be done by default in any case.

So this bug may be a WONTFIX or NOTABUG, but I figured we should at least log the issue.

Thanks,
-Eric

Comment 1 Ric Wheeler 2013-09-05 16:51:02 UTC
We probably do want this support in though - I can imagine we might not always need a broken out /boot?

Comment 3 Peter Jones 2014-12-15 15:37:15 UTC
At the very least can we get a pointer here to some details about the FS feature?

Comment 4 Eric Sandeen 2014-12-15 17:42:24 UTC
on-disk format stuff has recently been coalesced into libxfs/xfs_format.h

http://oss.sgi.com/cgi-bin/gitweb.cgi?p=xfs/xfs.git;a=blob;f=fs/xfs/libxfs/xfs_format.h

Other than that, we maybe need to do some buddy coding to do this, as I don't think either grub2 or xfs has great up-to-date documentation...

For starters I assume grub2 could just grok new formats, but skip the actual CRC verification... things haven't changed *that* much.

-Eric

Comment 5 Zach Brown 2014-12-15 18:16:41 UTC
https://www.google.com/search?q=add+grub2+support+for+xfs+crc

https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1288553.html

wget http://download.opensuse.org/repositories/Base:/System/openSUSE_Factory/src/grub2-2.02~beta2-201.4.src.rpm

rpm2cpio grub2-2.02~beta2-201.4.src.rpm  | cpio -id

ls *xfs*

grub2-xfs-Add-helper-for-inode-size.patch
grub2-xfs-Convert-inode-numbers-to-cpu-endianity-immediate.patch
grub2-xfs-Fix-termination-loop-for-directory-iteration.patch
grub2-xfs-V5-filesystem-format-support.patch

Comment 8 Peter Jones 2015-06-09 14:50:36 UTC
*** Bug 1220844 has been marked as a duplicate of this bug. ***

Comment 11 Winfrid Tschiedel 2015-09-13 11:27:24 UTC
I have tested grub2-2.02-0.23.fc23.x86_64 installed on an Fedora 21

I succeeded in booting a CentOS 7 with XFS from the fedora boot menu,
but I still cannot boot a SLED 12 with XFS from the fedora boot menu.

Using my openSUSE 13.2 I can boot CentOS 7 and SLED 12.

If you need more information, please advise me, how to create a log from grub2.

Comment 12 errata-xmlrpc 2015-11-19 12:23:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2401.html


Note You need to log in before you can comment on or make changes to this bug.